- name: "Get Home Folder"
  shell: >
    getent passwd {{ ansible_user_id }} | cut -d: -f6
  changed_when: false
  register: user_home

- name: Installing apt packages
  become: true
  apt:
    state: latest
    pkg:
      - htop
      - lsb-release
      - wget
      - gnupg
      - picom
      - git-cola
      - net-tools
      - python3
      - python3-pip
      - tmux
      - zsh
      - openvpn
      - nodejs
      - npm
      - gstreamer1.0-plugins-bad
      - gstreamer1.0-plugins-base
      - gstreamer1.0-plugins-good
      - gstreamer1.0-plugins-ugly
      - gstreamer1.0-libav
      - libgstreamer-plugins-base1.0-dev
      - tclsh
      - libssl-dev
      - build-essential
      - libgstreamer1.0-dev
      - libgtk2.0-dev
      - libtbb-dev
      - libatlas-base-dev
      - libfaac-dev
      - libmp3lame-dev
      - libtheora-dev
      - libvorbis-dev
      - libxvidcore-dev
      - libopencore-amrnb-dev
      - x264
      - v4l-utils
      - libprotobuf-dev
      - libgoogle-glog-dev
      - libgflags-dev
      - libgphoto2-dev
      - libeigen3-dev
      - libhdf5-dev
      - doxygen
      - python3-dev
      - python3-testresources
      - libavcodec-dev
      - libavformat-dev
      - libswscale-dev
      - libxine2-dev
      - libv4l-dev
      - libtiff-dev
      - software-properties-common
      - checkinstall
      - cmake
      - pkg-config
      - yasm
      - gfortran
      - libjpeg8-dev
      - libpng-dev
      - libopencv-dev
      - python-argparse
      - python3-empy
      - python3-pip
      - ant
      - openjdk-8-jdk
      - openjdk-8-jre
      - protobuf-compiler
      - dbus-x11

- name: Installing snap packages
  become: true
  snap:
    name:
      - code
      - vlc
    state: present
    classic: true

- name: Installing pip packages
  pip:
    state: present
    name:
      - mkdocs
      - mkdocs-material
      - mkdocs-git-revision-date-localized-plugin
      - mkdocs-awesome-pages-plugin
      - livereload
      - click
      - pymdown-extensions
      - markdown
      - numpy

- name: "[PX4 ubuntu_sim.sh] Remove modemanager"
  become: true
  apt:
    name:
      - modemanager
    state: absent

- name: "Doest OpenCV Symlink exist?"
  stat:
    path: /usr/include/linux/libv4l1-videodev.h
  register: open_cv_symlink

- name: Setup OpenCV
  become: true
  file:
    src: /usr/include/libv4l1-videodev.h
    dest: /usr/include/linux/libv4l1-videodev.h
    state: link
    force: true
  when: not open_cv_symlink.stat.exists

- name: Is GENIUS_HOME SET
  lineinfile:
    path: /etc/environment
    line: 'GENIUS_HOME="{{ user_home.stdout }}/Documents/GENIUS"'
  become: true

- name: Ensure ssh folder exists
  file:
    path: "{{ user_home.stdout }}/.ssh"
    state: directory

#- name: Ensure ci.genius-arch.nl is known as ssh host
#  known_hosts:
#    name: "[ci.genius-arch.nl]:2222"

- name: add user to nopasswd sudo'er
  become: true
  community.general.sudoers:
    user: "{{ ansible_user_id }}"
    nopassword: true
    name: user_nopasswd
    commands: ALL
